# David - 2.3.1-15mdk - Reminder: 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

 #David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

# laurent kde 2.2  - Define if we build with gphoto support
#                              0 = unsupported
#			       1 = supported
%define gphoto 1



Name:		kdegraphics
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Graphics
Version:	3.1
Release:	9mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:		kdegraphics-3.1.tar.bz2
Source1:	kghostviewrc

Patch0:		kdegraphics-3.0-kamera-compile.patch.bz2
Patch1:		kdegraphics-3.0-kcolorchooser.patch.bz2
# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2
Patch3:		kdegraphics-3.0.3-fix-compile.patch.bz2

# Laurent - 3.1-rc5-3mdk fix crash in kmrml
# Patch commited in Head
Patch4:		kdegraphics-kmrml-fix-crash.patch.bz2

# Laurent -3.1-rc5-5mdk fix crash when we change config
Patch5:		kdegraphics-3.1-fix-crash.patch.bz2

# Laurent - 3.1-rc6-2mdk fix multiple about widget
Patch6:		kdegraphics-3.1-fix-multiple-about-widget.patch.bz2

# Laurent - 3.1 fix from kde3.1 branch
Patch7:		kdegraphics-3.1-fix-2003-03-12.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root


%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext  kdelibs3-devel libMesaGLU1 libbinutils2
BuildRequires:	libbzip2_1-devel libgpio0-devel libintl1 libjpeg62-devel
BuildRequires:	liblcms1 libmng1-devel libopenssl0-devel libpng3-devel
BuildRequires:	libptal0-devel libqt3-devel libsane1-devel
BuildRequires:	libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:	m4 mktemp perl perl-MDK-Common popt rpm-build 
BuildRequires:	texinfo zlib1 libimlib1-devel xpdf libexif-devel
%endif

%if %buildfor9_0 
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext  kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libgpio0-devel libintl2 libjpeg62-devel
BuildRequires:  liblcms1 libmng1-devel libopenssl0-devel libpng3-devel
BuildRequires:  libptal0-devel libqt3-devel libsane1-devel
BuildRequires:  libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:  m4 mktemp perl perl-MDK-Common popt rpm-build 
BuildRequires:  texinfo zlib1 libimlib1-devel xpdf
BuildRequires:	libusb0.1_4-static-devel libjpeg62-static-devel libungif4-static-devel libexif7-devel
%endif

%if %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext  kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libintl2 libjpeg62-devel
BuildRequires:  liblcms1 libmng1-devel libopenssl0.9.7-devel libpng3-devel
BuildRequires:  libptal0-devel libqt3-devel libsane1-devel
BuildRequires:  libsnmp0 libstdc++ libtermcap2 libtiff3-devel libusb0.1-devel
BuildRequires:  m4 mktemp perl perl-MDK-Common popt rpm-build
BuildRequires:  texinfo zlib1 libimlib1-devel xpdf
BuildRequires:  libusb0.1_4-static-devel libjpeg62-static-devel libungif4-static-devel libexif8-devel
%endif

%if %gphoto
BuildRequires:	gphoto2 libgphoto2-devel
Requires:	gphoto2 libgphoto2
%endif

Requires:	libsane1 kdelibs xpdf gv
Obsoletes:  kdegraphics3
Provides:	kdegraphics3

BuildConflicts: automake1.6

%description
Graphical tools for the K Desktop Environment.
kdegraphics is a collection of graphic oriented applications:

	- kamera: digital camera io_slave for Konqueror. Together gPhoto this 
			allows you to access your camera's picture with the URL kamera:/
	- kcoloredit: contains two programs: a color value editor and also 
			a color picker
	- kdvi: program (and embeddable KPart) to display *.DVI files from TeX
	- kfax: a program to display raw and tiffed fax images (g3, g3-2d, g4)
	- kfaxview: an embeddable KPart to display tiffed fax images
	- kfile-plugins: provide meta information for graphic files
	- kghostview: program (and embeddable KPart) to display *.PDF and *.PS
	- kiconedit: an icon editor
	- kooka: a raster image scan program, based on SANE and libkscan
	- kpaint: a simple pixel oriented image drawing program
	- kruler: a ruler in inch, centimeter and pixel to check distances 
	 		  on the screen
	- ksnapshot: make snapshots of the screen contents
	- kuickshow: fast and comfortable imageviewer
	- kview: picture viewer, provided as standalone program and embeddable KPart
	- kviewshell: generic framework for viewer applications



%package devel
Summary:	Include files for kdegraphics
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release

Obsoletes:  kdegraphics3-devel
Provides:   kdegraphics3-devel

%description devel
This package contains include files needed to build applications based on kdegraphic.



%prep
%setup -q -nkdegraphics-3.1
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
# finale !!!!!!!!!
#%patch6 -p1

%patch7 -p1

%build
#make -f Makefile.cvs
export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure



%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`"
\
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
					--enable-debug=full \
%else	
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
%if %gphoto
			--with-kamera 
%else			
		    --without-kamera
%endif
%make



%install
rm -fr %buildroot

# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

install -d %buildroot/%_datadir/config/
install -m 0644 %SOURCE1 %buildroot/%_datadir/config/kghostviewrc

# Create LMDK menu entries
install -d %buildroot/%_menudir/
export PATH=%_bindir:$PATH

# %%_datadir/applnk/Graphics/
kdedesktop2mdkmenu.pl kdegraphics Applications/Publishing %buildroot/%_datadir/applnk/Graphics/kdvi.desktop %buildroot/%_menudir/kdegraphics-kdvi
kdedesktop2mdkmenu.pl kdegraphics Applications/Communications %buildroot/%_datadir/applnk/Graphics/kfax.desktop %buildroot/%_menudir/kdegraphics-kfax
kdedesktop2mdkmenu.pl kdegraphics Applications/Publishing %buildroot/%_datadir/applnk/Graphics/kghostview.desktop %buildroot/%_menudir/kdegraphics-kghostview
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kpaint.desktop %buildroot/%_menudir/kdegraphics-kpaint
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kview.desktop %buildroot/%_menudir/kdegraphics-kview
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kooka.desktop %buildroot/%_menudir/kdegraphics-kooka
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kpovmodeler.desktop %buildroot/%_menudir/kdegraphics-kpovmodeler
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kuickshow.desktop %buildroot/%_menudir/kdegraphics-kuickshow

# %%_datadir/applnk/Graphics/More
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kcolorchooser.desktop %buildroot/%_menudir/kdegraphics-kcolorchooser

kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kcoloredit.desktop %buildroot/%_menudir/kdegraphics-kcoloredit
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kiconedit.desktop %buildroot/%_menudir/kdegraphics-kiconedit
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kruler.desktop %buildroot/%_menudir/kdegraphics-kruler
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/ksnapshot.desktop %buildroot/%_menudir/ksnaphot-kcolorchooser



%if %gphoto
kdedesktop2mdkmenu.pl kdegraphics Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/kamera.desktop %buildroot/%_menudir/kdegraphics-kamera kde
%endif


kdedesktop2mdkmenu.pl kdegraphics Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kcmkmrml.desktop %buildroot/%_menudir/ksnaphot-kcmkmrml kde

# David - 2.1-1mdk - kghostview title is "PS/PDF viewer". "PS/" create a new
#                    and non needed submenu. Foolowing command fix that.
perl -pi -e "s|PS/PDF|PS and PDF|" %buildroot/%_menudir/kdegraphics-kghostview



%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus



%clean
rm -fr %buildroot





%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kcoloredit/
%doc %_docdir/HTML/en/kcoloredit/common
%doc %_docdir/HTML/en/kcoloredit/*.docbook
%doc %_docdir/HTML/en/kcoloredit/*.bz2
#
#
%dir %_docdir/HTML/en/kdvi/
%doc %_docdir/HTML/en/kdvi/common
%doc %_docdir/HTML/en/kdvi/*.docbook
%doc %_docdir/HTML/en/kdvi/*.dvi
%doc %_docdir/HTML/en/kdvi/*.png
%doc %_docdir/HTML/en/kdvi/*.ps
%doc %_docdir/HTML/en/kdvi/*.tex
%doc %_docdir/HTML/en/kdvi/*.bz2
%doc %_docdir/HTML/en/kdvi/*.sty
%doc %_docdir/HTML/en/kdvi/*.el
#
#
#
%dir %_docdir/HTML/en/kghostview/
%doc %_docdir/HTML/en/kghostview/common
%doc %_docdir/HTML/en/kghostview/*.docbook
%doc %_docdir/HTML/en/kghostview/*.bz2
#
#
%dir %_docdir/HTML/en/kiconedit/
%doc %_docdir/HTML/en/kiconedit/common
%doc %_docdir/HTML/en/kiconedit/*.docbook
%doc %_docdir/HTML/en/kiconedit/*.bz2
#
#
%dir %_docdir/HTML/en/kpaint/
%doc %_docdir/HTML/en/kpaint/common
%doc %_docdir/HTML/en/kpaint/*.docbook
%doc %_docdir/HTML/en/kpaint/*.bz2
#
#
%dir %_docdir/HTML/en/kruler/
%doc %_docdir/HTML/en/kruler/common
%doc %_docdir/HTML/en/kruler/*.docbook
%doc %_docdir/HTML/en/kruler/*.bz2
#
#
%dir %_docdir/HTML/en/ksnapshot/
%doc %_docdir/HTML/en/ksnapshot/common
%doc %_docdir/HTML/en/ksnapshot/*.docbook
%doc %_docdir/HTML/en/ksnapshot/*.png
%doc %_docdir/HTML/en/ksnapshot/*.bz2
#
#
%dir %_docdir/HTML/en/kuickshow/
%doc %_docdir/HTML/en/kuickshow/common
%doc %_docdir/HTML/en/kuickshow/*.docbook
%doc %_docdir/HTML/en/kuickshow/*.bz2
%doc %_docdir/HTML/en/kuickshow/*.png
#
#
%dir %_docdir/HTML/en/kview/
%doc %_docdir/HTML/en/kview/common
%doc %_docdir/HTML/en/kview/*.docbook
%doc %_docdir/HTML/en/kview/*.png
%doc %_docdir/HTML/en/kview/*.bz2
#
#
%dir %_docdir/HTML/en/kooka/
%doc %_docdir/HTML/en/kooka/common
%doc %_docdir/HTML/en/kooka/*.docbook
%doc %_docdir/HTML/en/kooka/*.png
%doc %_docdir/HTML/en/kooka/*.bz2
#
%dir %_docdir/HTML/en/kamera/
%doc %_docdir/HTML/en/kamera/common
%doc %_docdir/HTML/en/kamera/*.docbook
%doc %_docdir/HTML/en/kamera/*.bz2

%dir %_docdir/HTML/en/kpovmodeler/
%doc %_docdir/HTML/en/kpovmodeler/common
%doc %_docdir/HTML/en/kpovmodeler/*.docbook
%doc %_docdir/HTML/en/kpovmodeler/*.bz2
%doc %_docdir/HTML/en/kpovmodeler/*.png



%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.*
#
#
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Graphics/
%_datadir/applnk/Graphics/*.desktop

%dir %_datadir/applnk/Graphics/More/
%_datadir/applnk/Graphics/More/*.desktop

#
%if %gphoto
%_datadir/applnk/Settings/Peripherals/*.desktop
%endif
#
%_datadir/applnk/Settings/System/*.desktop
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdvi/
%_datadir/apps/kdvi/*.rc
%_datadir/apps/kdvi/tips
#
%dir %_datadir/apps/kdvi/toolbar/
%_datadir/apps/kdvi/toolbar/*.xpm
#
%dir %_datadir/apps/kcoloredit
%_datadir/apps/kcoloredit/*.rc

#
%dir %_datadir/apps/kfax/
%_datadir/apps/kfax/*.rc
#
%dir %_datadir/apps/kfax/pics/
%_datadir/apps/kfax/pics/*.tif
%_datadir/apps/kfax/pics/*.xpm
#
#
#
#
%dir %_datadir/apps/kghostview/
%_datadir/apps/kghostview/*.rc
%_datadir/apps/kghostview/*.ps
#
#
%dir %_datadir/apps/kiconedit/
%dir %_datadir/apps/kiconedit/pics/
%_datadir/apps/kiconedit/pics/*.png
#
%dir %_datadir/apps/kiconedit/toolbar/
%_datadir/apps/kiconedit/toolbar/*.png
%_datadir/apps/kiconedit/toolbar/*.xpm
#
#
%dir %_datadir/apps/kooka
%_datadir/apps/kooka/*.rc
#
%dir %_datadir/apps/kooka/pics/
%_datadir/apps/kooka/pics/*.png
#
#
%dir %_datadir/apps/kpaint/
%_datadir/apps/kpaint/*.rc

%dir %_datadir/apps/kpaint/toolbar/
%_datadir/apps/kpaint/toolbar/*.png

%dir %_datadir/apps/kpovmodeler/
%_datadir/apps/kpovmodeler/*
#

#
#
%dir %_datadir/apps/kruler/
%_datadir/apps/kruler/eventsrc
%dir %_datadir/apps/kruler/sounds/
%_datadir/apps/kruler/sounds/*.wav

%dir %_datadir/apps/kruler/pics/
%_datadir/apps/kruler/pics/*.png

#
#
%dir %_datadir/apps/kuickshow/
%_datadir/apps/kuickshow/*.pal
#
%dir %_datadir/apps/kuickshow/pics/
%_datadir/apps/kuickshow/pics/*.png
%_datadir/apps/kuickshow/pics/*.jpg
#
#
%dir %_datadir/apps/kview/
%_datadir/apps/kview/*.rc
#
#
#
%dir %_datadir/apps/kviewerpart/
%_datadir/apps/kviewerpart/*.rc
#
#
%dir %_datadir/apps/kviewshell/
%_datadir/apps/kviewshell/*.rc
#
%dir %_datadir/apps/kview/kpartplugins/
%_datadir/apps/kview/kpartplugins/*.rc
%_datadir/apps/kview/kpartplugins/*.desktop
#
%dir %_datadir/apps/kviewviewer/
%_datadir/apps/kviewviewer/*.rc

%dir %_datadir/apps/kviewviewer/kpartplugins/
%_datadir/apps/kviewviewer/kpartplugins/*.rc
%_datadir/apps/kviewviewer/kpartplugins/*.desktop

#
%dir %_iconsdir/

%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png

%dir %_iconsdir/crystalsvg/16x16/mimetypes/
%_iconsdir/crystalsvg/16x16/mimetypes/*.png


%if %gphoto
%dir %_iconsdir/crystalsvg/16x16/devices/
%_iconsdir/crystalsvg/16x16/devices/*.png
%endif

#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
%if %gphoto
%dir %_iconsdir/crystalsvg/32x32/devices/
%_iconsdir/crystalsvg/32x32/devices/*.png
%dir %_iconsdir/crystalsvg/32x32/filesystems/
%_iconsdir/crystalsvg/32x32/filesystems/*.png
%endif
%dir %_iconsdir/crystalsvg/32x32/mimetypes/
%_iconsdir/crystalsvg/32x32/mimetypes/*.png


#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png
#
%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/*.png

%dir %_iconsdir/crystalsvg/128x128/
%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/*.png

#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#

#
%_datadir/servicetypes/*.desktop
%_datadir/services/kded/*.desktop
#
%_datadir/services/*.desktop
%if %gphoto
%_datadir/services/*.protocol
%endif


%_datadir/apps/konqueror/servicemenus/*.desktop

%_datadir/mimelnk/text/*.desktop

%_datadir/config/*rc




%files devel
%defattr(-,root,root)
%_includedir/*.h


%changelog
* Wed Mar 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Add patch7 : fix from kde3.1:
=> kiconedit "Backport circle/ellipse tool fix."
=> kpovmodeler :"Fixed the insert rules for patterned textures"

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Fix 

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix kuickshow

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix kuickshow bug )

* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix kdvi

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kooka, kdvi bugs

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code : fix kview

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Rebuild

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.7mdk
- Reactivate patch5

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Remove debug

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Remove require libgpio0 

* Mon Jan 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Remove requires on gpio-devel

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch " Make it lib64 aware"

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch6 : fix multiple about widget

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.5mdk
- Add patch5 : fix crash when we change config

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Remove tetex as buildrequire 

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch4 : fix crash in kmrml

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Rebuild

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reapply patch1-3
- Remove unused patch

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Fri Sep 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Ad Patch11 : fix konqueror crash in kfile_plugins png

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Patch10 : Fix kcontrol->kamera crash

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Require gv

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch9 : fix kfax mem leak

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Update code from kde_3_0_branch fix kfile_png

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch8 : fix second kooka mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch7 : fix kooka mem leak

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch6 : fix assert in kcontrol->kamera

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch5 : fix configure kghostview
- Add Source1 : default kghostview config file.

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch4 : fix mem leak in kioslave/kamera 

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3
- Add patch3 fix compile

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2
- Disable debug
- Fix build requires

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Rebuild

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild with gphoto2 support

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Update from KDE_3_0_BRANCH
- Add BuildConflicts: automake1.6

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun Jun 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Rebuild

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix obsoletes/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- rebuild

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix build requires

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdegraphics

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.5mdk
- Fix buildrequires for 8.3
- Reactivate gphoto

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.4mdk
- Fix build requires for 8.2
- Readd kooka

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1
- Re-create devel package
- Fix and clean %%files sections

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix requires

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

